This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 71505 - configuring rp_filter for an interface that is added after boot
configuring rp_filter for an interface that is added after boot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-14 11:02 EDT by D. Hugh Redelmeier
Modified: 2014-03-16 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2002-08-14 11:02:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
/proc/sys/net/ipv4/conf/eth0/rp_filter controls the (poorly documented) reverse
path filter feature for eth0.  The user can control this through
/etc/sysctl.conf, but sysctl(8) is only run automatically at boot time.  Since
interfaces are brought up at other times, the right control would be a new
variable within /etc/sysctl/network-scripts/ifcfg-*. ifup should implement this.


Version-Release number of selected component (if applicable):
initscripts-6.67-1

How reproducible:
Always

Steps to Reproduce:
On a notebook with eth0 on a PCMCIA card
On a notebook where eth0 is a PCMCIA card:
1.in /etc/sysctl.conf, place "net.ipv4.conf.eth0.rp_filter = 0"
  but leave net.ipv4.conf.default.rp_filter = 1
2.reboot machine
3.insert eth0
4.examine /proc/sys/net/ipv4/conf/eth0/rp_filter.  It will be 1 but should be 0.
	

Actual Results:  /proc/sys/net/ipv4/conf/eth0/rp_filter is 1

Expected Results:  /proc/sys/net/ipv4/conf/eth0/rp_filter is 0

Additional info:

rp_filter should be better documented.  It does not seem to be mentioned in the
man pages.  It is described in the kernel source files:
Documentation/filesystems/proc.txt Documentation/networking/ip-sysctl.txt
Comment 1 Bill Nottingham 2005-09-29 16:13:51 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Realistically, the best way to support this is probably via a udev rule on
device creation in current releases.

Note You need to log in before you can comment on or make changes to this bug.